## xdg-desktop-portal-trinity 14.1.3

=== interfaces/CMakeLists.txt ===
################################################################################
# XDG Desktop Portal implementation for TDE                                    #
# Copyright (C) 2024 Mavridis Philippe <mavridisf@gmail.com>                   #
#                                                                              #
# Improvements and feedback are welcome!                                       #
# This software is licensed under the terms of the GNU GPL v3 license.         #
################################################################################

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${DBUS_TQT_INCLUDE_DIRS}
)

link_directories(
    ${DBUS_TQT_LIBRARY_DIRS}
)

set(interfaces account email filechooser)
set(interface_HDRS introspectableInterface.h desktopNode.h dbusbaseNode.h)
set(interface_SRCS introspectableInterface.cpp desktopNode.cpp dbusbaseNode.cpp)

foreach(interface IN LISTS interfaces)
    list(APPEND interface_HDRS ${interface}Interface.h ${interface}Proxy.h)
    list(APPEND interface_SRCS ${interface}Interface.cpp ${interface}Proxy.cpp)
endforeach()

add_custom_command(
    OUTPUT ${interface_HDRS} ${interface_SRCS}
    COMMAND ${DBUSXML2QT3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/interfaces.xml
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces.xml
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

tde_add_library(portalinterfaces STATIC_PIC AUTOMOC
    SOURCES ${interface_SRCS}
    LINK ${DBUS_TQT_LIBRARIES}
)

configure_file(org.freedesktop.impl.portal.desktop.tde.service.cmake
               org.freedesktop.impl.portal.desktop.tde.service @ONLY)

configure_file(xdg-desktop-portal-tde.desktop.cmake
               xdg-desktop-portal-tde.desktop @ONLY)

install(FILES tde.portal DESTINATION ${XDG_PREFIX}/share/xdg-desktop-portal/portals)

install(FILES tde-portals.conf DESTINATION ${XDG_PREFIX}/share/xdg-desktop-portal)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.tde.service
        DESTINATION ${DBUS_SESSION_DIRECTORY})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/xdg-desktop-portal-tde.desktop
        DESTINATION ${SHARE_INSTALL_PREFIX}/applications)

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 11 Oct 2024 09:20:36 +0200

xdg-desktop-portal-trinity (0.1-0) unstable; urgency=low

  * Initial release for TDE

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sun, 06 Oct 2024 12:54:00 +0900

## xdg-desktop-portal-trinity 14.1.4

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.1.4-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: xdg-desktop-portal-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev

Package: xdg-desktop-portal-trinity
Architecture: any
Depends: ${shlibs:Depends}, xdg-desktop-portal
Conflicts: xdg-desktop-portals-trinity
Provides: xdg-desktop-portals-trinity
Replaces: xdg-desktop-portals-trinity
Description: An implementation of the FreeDesktop Portals API for TDE
 Exposes TDE APIs to applications which use the Portals API.
 As a result, these applications can transparently use native TDE APIs and dialogs.

## xdg-desktop-portal-trinity 14.1.5~pre1

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 30c096d5edc6127e0c70be415a4bb86e28bac821
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## xdg-desktop-portal-trinity 14.1.5

=== interfaces/CMakeLists.txt ===
--- 
+++ 
@@ -50,4 +50,4 @@
         DESTINATION ${DBUS_SESSION_DIRECTORY})
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/xdg-desktop-portal-tde.desktop
-        DESTINATION ${SHARE_INSTALL_PREFIX}/applications)
+        DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/CMakeLists.txt ===
################################################################################
# XDG Desktop Portal implementation for TDE                                    #
# Copyright (C) 2024 Mavridis Philippe <mavridisf@gmail.com>                   #
#                                                                              #
# Improvements and feedback are welcome!                                       #
# This software is licensed under the terms of the GNU GPL v3 license.         #
################################################################################

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${TDE_INCLUDE_DIR}
    ${TQT_INCLUDE_DIRS}
    ${DBUS_TQT_INCLUDE_DIRS}
    ${CMAKE_BINARY_DIR}
)

link_directories(
    ${TQT_LIBRARY_DIRS}
    ${DBUS_TQT_LIBRARY_DIRS}
    ${CMAKE_BINARY_DIR}
)

tde_add_executable(
    xdg-desktop-portal-tde AUTOMOC

    SOURCES
        main.cpp
        portal_daemon.cpp
        portal_service.cpp
        account_portal.cpp
        email_portal.cpp
        file_chooser_portal.cpp
        permission_dialog.cpp
        util.cpp

    LINK
        tdecore-shared
        tdeio-shared
        ${DBUS_TQT_LIBRARIES}
        portalinterfaces-static

    DESTINATION ${LIBEXEC_INSTALL_DIR}
)

# kate: replace-tabs true; tab-width 4; indent-width 4;

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 
 Package: xdg-desktop-portal-trinity
 Architecture: any

## xdg-desktop-portal-trinity 14.1.6~pre0

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 30c096d5edc6127e0c70be415a4bb86e28bac821
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## xdg-desktop-portal-trinity 14.1.6~pre1

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 21f2d97a7a421060c90e4cfda57de9bf452bbc55
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:07:52 +0100

## xdg-desktop-portal-trinity 14.2.0~pre26

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.2.0~pre26-0ubuntu26.04.0+5~a) resolute; urgency=low

  * Automated git build for 8beb22bcd5fe238abaa1912e1c44144c448a0e27
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## xdg-desktop-portal-trinity 14.2.0~pre27

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.2.0~pre27-0ubuntu26.04.0+5~a) resolute; urgency=low

  * Automated git build for 25bf8ca2297eaae3a422136416082a78a172ab3e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:08:57 +0100
